Subject: Re: [PATCH v3 0/8] Nvram-to-pstore

From: Aruna Balakrishnaiah <[email-masked]>
Date: Wed, 05 Jun 2013 14:30:24 +0530

Hi Ben,

On Saturday 01 June 2013 10:55 AM, Benjamin Herrenschmidt wrote:
> Another question...
>
> Should the core pstore fail to unlink partitions that don't have
> an ->erase callback ? IE. Why would you let anyone erase the OFW
> common partition for example ? That means that userspace tools
> can no longer manipulate it but we certainly don't want to remove
> it from the nvram itself.

Since I do not have a callback for erase in nvram, pstore
simply unlinks the file and will not delete the partition.

>
> That leads to a deeper concern. Looking at how efi-pstore works,
> it looks like they create a file for each var.
>
> This looks like something valuable we could do for something like
> the common partition since typically it's made of name,value pairs.
>
> However, pstore is a flat space, while we have patitions which
> themselves can be organized in name,value pairs (some at least)
>
> I wonder if it's time to introduce pstore directories... Or do
> we stick to our special tools to interpret/change the name,value
> pairs ?

Since pstore infrastructure creates the file in read-only mode
creating files for name, value pairs will not be useful to us.
So for now, we need to stick to our tools to interpret/change
the name,value pairs.

And also, pstore filenames are controlled by pstore infrastructure
so that would need quite some changes in the pstore infrastructure.

I think for now it would be better to dump the contents of common
partition as it is.

>
> Also do we want to add an ability to resize partitions ? Possibly
> based on how much is written to them ?

Yes it will be good to that.

If your fine with patchset apart from the filenames of-config and common
partitions. I will post the next version of it with powerpc prefix.

>
> Cheers,
> Ben.
>
>
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev
>